Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.compiler
Class ProcessBuildError

    java.lang.Object
      org.drools.compiler.BaseKnowledgeBuilderResultImpl
          org.drools.compiler.DroolsError
              org.drools.compiler.DescrBuildError
                  org.jbpm.compiler.ProcessBuildError

All Implemented Interfaces:
  org.kie.builder.KnowledgeBuilderError, org.kie.builder.KnowledgeBuilderResult

    public class ProcessBuildError

extends org.drools.compiler.DescrBuildError

Constructor Summary
`ProcessBuildError(Process process, org.drools.lang.descr.BaseDescr descr, Object object, String message)`

Method Summary
`Process` | `getProcess()`

Methods inherited from class org.drools.compiler.DescrBuildError
`getColumn, getDescr, getLine, getLines, getMessage, getNamespace, getObject, getParentDescr, toString`

Methods inherited from class org.drools.compiler.DroolsError
`getSeverity`

Methods inherited from class org.drools.compiler.BaseKnowledgeBuilderResultImpl
`getResource, isError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.kie.builder.KnowledgeBuilderResult
`getResource`

Constructor Detail

### ProcessBuildError

    public ProcessBuildError(Process process,
                             org.drools.lang.descr.BaseDescr descr,
                             Object object,
                             String message)

Method Detail

### getProcess

    public Process getProcess()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.